
<?php

require_once('../vendor/autoload.php');
use Firebase\JWT\JWT;

$company_id = $_SESSION['company_id'];

$total_items = total_products($company_id);

function total_products($company_id)
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";
    $path = "/shopping-cart";

    $content = hash('sha256', '');
    $jwtPayload = [
        "path" => $path,
        "content" => $content,
        "company_id" => $company_id,
    ];

    $jwtHeader = [
        "access_key" => $accessKey
    ];

    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    $queryParams = http_build_query([
        "company_id" => $company_id,
    ]);
    $url = $baseUrl . $path . "?" . $queryParams;

    // Initialize cURL session
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute cURL request and close the session
    $response = curl_exec($ch);
    curl_close($ch);

    $decodedResponse = json_decode($response, true);

    // Extract the total number of items (count the number of products in the 'result' array)
    $total_items = isset($decodedResponse['result']) ? count($decodedResponse['result']) : 0;

    // Store the total number of items in session
   

    return $total_items;
}

?>

<!doctype html>
<html  lang="en">

<?php include "head.php"; ?>


<body>
    <div class="all-content-wrapper">
        <div class="header-advance-area">
            <div class="header-top-area">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <!-- border is here -->
                            <div class="header-top-wraper">

                                <div class="row">
                                    <div class="col-lg-1 col-md-0 col-sm-1 col-xs-12">
                                        <div class="menu-switcher-pro">
                                            <button type="button" id="sidebarCollapse" class="btn bar-button-pro header-drl-controller-btn btn-info navbar-btn">

                                            </button>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-7 col-sm-6 col-xs-12">
                                        <div class="header-top-menu tabl-d-n hd-search-rp">

                                        </div>
                                    </div>


                                    <div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">
                                        <div class="header-right-info">



                                            <ul class="nav navbar-nav mai-top-nav header-right-menu">


                                                <li class="nav-item">
                                                    <a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle">
                                                        <i class="icon nalika-user"></i>
                                                        <span class="admin-name"><?php echo strtoupper($_SESSION['username']); ?></span>

                                                        <i class="icon nalika-down-arrow nalika-angle-dw"></i>
                                                    </a>
                                                    <ul role="menu" class="dropdown-header-top author-log dropdown-menu animated zoomIn">


                                                        <li><a href="../logout.php"><span class="icon nalika-unlocked author-log-ic"></span> Log Out</a>
                                                        </li>
                                                    </ul>
                                                    <a class="nav-link dropdown-toggle" href="add_to_cart.php">
                                                        <i class="fa fa-shopping-cart"></i>
                                                        <?php if ($total_items > 0): ?>
                                                            <span class="badge badge-pill badge-danger"><?php print_r($total_items); ?></span>
                                                        <?php endif; ?>
                                                    </a>
                                                </li>

                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>


    <?php include 'jquery.php'; ?>
</body>

</html>