<?php
require_once('../vendor/autoload.php');
require_once('../config.php');

use Firebase\JWT\JWT;

session_start();

if (!isset($_SESSION['company_id'])) {
    header("Location: ../login.php");
    exit();
}


if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $cardNumber   = $_POST['card_number'];
    $cvc          = $_POST['cvc'];
    $firstName    = $_POST['first_name'];
    $lastName     = $_POST['last_name'];
    $expMonth     = $_POST['exp_month'];
    $expYear      = $_POST['exp_year'];
    $billAddress  = $_POST['bill_address'];
    $billCity     = $_POST['bill_city'];
    $billState    = $_POST['bill_state'];
    $billZip      = $_POST['bill_zip'];
    $billCountry  = $_POST['bill_country'];

    $owner_id = $_SESSION['company_id'];



    if (empty($cardNumber) || empty($cvc) || empty($firstName) || empty($lastName) || empty($expMonth) || empty($expYear) || empty($billAddress) || empty($billCity) || empty($billState) || empty($billZip) || empty($billCountry)) {
        $_SESSION['error'] = "All fields are required.";
        header('Location:add_card.php');
        exit;
    }
    $create_response = createCard($cardNumber, $firstName, $lastName, $expMonth, $expYear, $billAddress, $billCity, $billState, $billZip, $billCountry, $cvc);
    // print_r($create_response) ;
    if ($create_response['success'] == true) {
        $last4 = substr($cardNumber, -4); // Get the last 4 digits of the card number

        $query = "
            INSERT INTO card_details (last4, cvc, first_name, last_name, exp_month, exp_year, bill_address, bill_city, bill_state, bill_zip, bill_country,owner_id) 
            VALUES ('$last4', '$cvc', '$firstName', '$lastName', '$expMonth', '$expYear', '$billAddress', '$billCity', '$billState', '$billZip', '$billCountry','$owner_id')
        ";

        if (mysqli_query($conn, $query)) {
            $_SESSION['success'] = "Payment method added and saved successfully!";
            header('Location:add_card.php');

            // Check if the user exists in the database

        } else {
            $_SESSION['error'] = "Failed to add payment method, Please fill in the form carefully! ";
            header('Location:add_card.php');
        }
        $checkQuery = "SELECT * FROM card_details 
                WHERE last4 = '$last4' AND first_name = '$firstName' AND last_name = '$lastName'";
        $result = mysqli_query($conn, $checkQuery);

        // If the user already exists in the database
        if (mysqli_num_rows($result) > 0) {
            // Fetch all user data from API
            $response = fetchUserFromAPI();

            $responseData = json_decode($response, true);

            if (isset($responseData['result']) && is_array($responseData['result'])) {
                foreach ($responseData['result'] as $user) {
                    // Check if firstName, lastName, and last4 match


                    if ($user['first_name'] == $firstName && $user['last_name'] == $lastName && $user['last4'] == $last4) {
                        // User found, return the ID or any other relevant data
                        // echo $user['id'];
                        // $_SESSION['first_name'] = $user['first_name'];
                        // $_SESSION['last_name'] = $user['last_name'];
                        // $_SESSION['last4'] = $user['last4'];
                        // $_SESSION['exp_month'] = $user['exp_month'];



                        $card_id = $user['id'];
                        $card_brand = $user['brand'];
                        $updateQuery = "UPDATE card_details SET card_id = ?,card_brand = ? WHERE first_name = ? AND last_name = ? AND last4 = ?";
                        $stmt = $conn->prepare($updateQuery);

                        // Assuming 'some_column' is the column to match for the specific record you want to update
                        $stmt->bind_param("sssss", $card_id,$card_brand, $firstName, $lastName, $last4); // Adjust the parameters as needed

                        if ($stmt->execute()) {
                            $_SESSION['success'] = "Payment method added and saved successfully!";
                            header('Location:add_card.php');
                        } else {
                            $_SESSION['error'] = "Failed to add payment method, Please fill in the form carefully! ";
                            header('Location:add_card.php');
                        }

                        // echo $userId; // Store the user ID in the session
                        // $_SESSION['user_id'] = $userId;
                        break; // Exit the loop once a match is found
                    }
                }
            } else {
                echo "No users found in the response.";
            }
        } else {
            $_SESSION['error'] = "Database error: " . mysqli_error($conn);
            header('Location:add_card.php');
        }
    } else {
        $_SESSION['error'] = "Failed to add payment method ";
        header('Location:add_card.php');
    }
}

function createCard($cardNumber, $firstName, $lastName, $expMonth, $expYear, $billAddress, $billCity, $billState, $billZip, $billCountry, $cvc)
{
    global $accessKey;
    global $secretKey;

    $cardData = [
        'number'         => $cardNumber,
        'first_name'     => $firstName,
        'last_name'      => $lastName,
        'exp_month'      => $expMonth,
        'exp_year'       => $expYear,
        'cvc'            => $cvc,
        'billing_address' => [
            'city'         => $billCity,
            'state'        => $billState,
            'zip'          => $billZip,
            'country'      => $billCountry,
            "address1"     => $billAddress,
        ]
    ];

    foreach ($cardData as $key => $value) {
        if (empty($value)) {
            $_SESSION['error'] = "Error: The field '$key' is required.";
            header('Location:add_card.php');
        }
    }

    $baseUrl = "https://api.corporatetools.com";
    $path = "/payment-methods";

    $payload = $cardData;
    $queryString = "";
    $bodyContent = json_encode($payload);
    $content = hash('sha256', $queryString . $bodyContent);

    $jwtPayload = [
        "path" => $path,
        "content" => $content
    ];
    $jwtHeader = [
        "access_key" => $accessKey
    ];
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    $url = $baseUrl . $path;
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $bodyContent);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);
    curl_close($ch);
    echo $response;
    $responseData = json_decode($response, true);
    return $responseData;
    // if (isset($responseData['success']) == true && isset($responseData['status_code']) === 200) {
    //     return $responseData;
    // } else {
    //     return false;
    // }
}

function fetchUserFromAPI()
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";
    $path = "/payment-methods";

    // Prepare the query string for API call
    $queryString = http_build_query([
        // No direct parameters needed for the API call
    ]);

    $content = hash('sha256', $queryString);
    $jwtPayload = [
        "path" => $path,
        "content" => $content
    ];
    $jwtHeader = [
        "access_key" => $accessKey
    ];
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    $url = $baseUrl . $path . "?" . $queryString;
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);
    curl_close($ch);
    return $response;
}
