 <?php
    session_start();
    include "../config.php";

    require_once('../vendor/autoload.php');

    use Firebase\JWT\JWT;


    // Check if the user is logged in
    if (!isset($_SESSION['username'])) {
        header("Location: ../login.php");
        exit();
    }

    $company_id = $_SESSION['company_id'];
    $response = fetchUserFromAPI($company_id);
    $cartItems = $response['result'];

    // Dummy data
    function fetchUserFromAPI($company_id)
    {
        global $accessKey;
        global $secretKey;

        // Define the base URL and path for the API endpoint
        $baseUrl = "https://api.corporatetools.com";
        $path = "/shopping-cart";

        // Example parameters to include in the query (URL and ID)
        // Replace with the desired URL
        // Replace with the desired URL
        // Replace with the desired URL
        // $id = "2b918be2-c66c-4aa8-bcce-052677c1f9fa";  // Replace with the desired ID

        // Prepare the query string with URL and ID
        $content = hash('sha256', '');
        $jwtPayload = [
            "path" => $path,
            "content" => $content,
            "company_id" => $company_id,



            // Include URL in the payload
            // "id" => $id     // Include ID in the payload
        ];

        $jwtHeader = [
            "access_key" => $accessKey
        ];

        // Encode the JWT token
        $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

        // Prepare the complete URL with query parameters
        $queryParams = http_build_query([
            "company_id" => $company_id,

        ]);
        $url = $baseUrl . $path . "?" . $queryParams;

        // Initialize cURL session
        $ch = curl_init($url);
        $headers = [
            "Authorization: Bearer $jwt",
            "Content-Type: application/json"
        ];
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        // Execute cURL request and close the session
        $response = curl_exec($ch);
   
        curl_close($ch);

        return json_decode($response, true);
    }







    ?>





 <html lang="en">

 <?php include 'head.php'; ?>

 <body>


     <?php include 'left_navbar.php'; ?>
     <div class="all-content-wrapper">
         <?php include 'Navbar.php'; ?>
         <div class="header-advance-area">
             <div class="breadcome-area">
                 <div class="container-fluid">
                     <div class="row" style="margin-top:50px">
                         <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                             <div class="breadcome-list">
                                 <div class="row">
                                     <div class="col-lg-6 col-md-12 col-sm-12 col-xs-6">
                                         <div class="breadcomb-wp">
                                             <div class="breadcomb-icon">
                                                 <i class="icon nalika-home"></i>
                                             </div>
                                             <div class="breadcomb-ctn">
                                                 <h2>Add to Cart</h2>
                                                 <p>Welcome, <span class="bread-ntd"><strong><?php echo strtoupper($_SESSION['username'])  ?></strong></span></p>
                                             </div>
                                         </div>
                                     </div>

                                 </div>
                             </div>
                         </div>
                     </div>
                 </div>
             </div>
         </div>

         <div class="product-cart-area mg-b-30">
             <div class="container-fluid">
                 <div class="row">
                     <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                         <div class="product-cart-inner">
                             <div id="example-basic">
                                 <h3 style="color: white;">Shopping Cart</h3>
                                 <?php if (isset($_SESSION['message'])): ?>
                                     <div class="" style="color: white;">
                                         <?php
                                            echo $_SESSION['message'];
                                            unset($_SESSION['message']); // Clear the message after display
                                            ?>
                                     </div>
                                 <?php endif; ?>

                                 <section>
                                     <h3 class="product-cart-dn">Shopping</h3>
                                     <div class="product-list-cart">
                                         <div class="product-status-wrap border-pdt-ct">
                                             <table>
                                                 <tr>

                                                     <th>Product Title</th>

                                                     <th>Price</th>
                                                     <th>Action</th>
                                                 </tr>

                                               

                                                     <?php
                                                        $total = 0;
                                                        if (!empty($cartItems)) {
                                                            foreach ($cartItems as $item) {
                                                                echo '<tr>';
                                                                echo '<td>';
                                                                echo '<h3>' . htmlspecialchars($item['title']) . '</h3>';

                                                                echo '</td>';
                                                                echo '<td>$' . htmlspecialchars($item['total']) . '</td>'; // You can replace $18 with the actual price of the item if it's stored in the cart
                                                                echo '<td>';
                                                                echo '<a href="remove_cart_item.php?id=' . $item['id'] . '" data-toggle="tooltip" title="Trash" class="pd-setting-ed">';
                                                                echo '<i class="fa fa-trash-o" style="color:#8B0000; font-size:20px;" aria-hidden="true"></i>';
                                                                echo '</a>';
                                                                echo '</td>';
                                                                echo '</tr>';
                                                                $total += $item['total'];
                                                            }
                                                        } else {
                                                            echo '<tr><td colspan="3">Cart is empty.</td></tr>';
                                                        }
                                                        ?>
                                                 <tr>
                                                     <td style="text-align:right; font-weight:bold;font-size:20px;">Total:</td>
                                                     <td style="font-size: 20px;"><?php echo '$' . number_format($total, 2); ?></td>


                                                 </tr>
                                                 <tr  >
                                                   
                                                     <td colspan="3"><a style=" margin-top:7px" href="checkout.php" class="btn btn-success">Proceed to checkout </a></td>
                                                     


                                                 </tr>
                                                       




                                             </table>
                                         </div>
                                     </div>
                                 </section>

                             </div>
                         </div>
                     </div>
                 </div>
             </div>
         </div>

     </div>








     <?php include 'jquery.php'; ?>


     <?php include 'cart_js.php'; ?>



 </body>

 </html>