<script>
        // Initialize cart
        let cart = JSON.parse(localStorage.getItem('cart')) || [];

        // Function to update cart in local storage
        function updateCart() {
            localStorage.setItem('cart', JSON.stringify(cart));
            document.getElementById('cart-count').textContent = cart.length;
            updateCartModal();
        }

        // Function to update cart modal
        function updateCartModal() {
            let cartItemsHtml = '';
            let totalPrice = 0;

            cart.forEach(item => {
                cartItemsHtml += `
                <div class="cart-item">
                    <p>${item.name} - $${item.price}</p>
                    <button onclick="removeFromCart(${item.id})">Remove</button>
                </div>
            `;
                totalPrice += parseFloat(item.price);
            });

            document.getElementById('cart-items').innerHTML = cartItemsHtml;
            document.getElementById('total-price').textContent = totalPrice.toFixed(2);
        }

        // Function to add product to cart
        function addToCart(id, name, price) {
            let item = {
                id,
                name,
                price
            };
            cart.push(item);
            updateCart();
        }

        // Function to remove product from cart
        function removeFromCart(id) {
            cart = cart.filter(item => item.id !== id);
            updateCart();
        }

        // Event listener for adding product to cart (in the product list table)
        document.querySelectorAll('.add-to-cart-btn').forEach(button => {
            button.addEventListener('click', function() {
                const id = this.dataset.id;
                const name = this.dataset.name;
                const price = this.dataset.price;
                addToCart(id, name, price);
            });
        });

        // Initialize cart on page load
        updateCart();
    </script>