<?php
require_once('../config.php');
require_once('../vendor/autoload.php');

use Firebase\JWT\JWT;

$response = filingAPI();


// Dummy data
function filingAPI()
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";
    $path = "/filing-products";

    $url = "www.northwestregisteredagent.com";  // Replace with the desired URL

    $content = hash('sha256', '');
    $jwtPayload = [
        "path" => $path,
        "content" => $content,
        "url" => $url,
    ];

    $jwtHeader = [
        "access_key" => $accessKey
    ];

    // Encode the JWT token
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Prepare the complete URL
    $url = $baseUrl . $path . "?url=" . urlencode($url);

    // Initialize cURL session
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute cURL request
    $response = curl_exec($ch);

    if (curl_errno($ch)) {
        echo 'Curl error: ' . curl_error($ch);
        curl_close($ch);
        return [];
    }

    curl_close($ch);

    // Decode JSON response
    $decodedResponse = json_decode($response, true);

    return $decodedResponse;
    // Debug the response structure

}
