<?php 
require_once('../vendor/autoload.php');
require_once('../config.php');
session_start();

use Firebase\JWT\JWT;

$invoice_id = "e4641822-32e3-4c0d-917e-ad1ef1cff5ac";
$company_id = "beefab27-c7f9-4f02-871a-1050ec682504";
$response = GenerateInvoice($company_id, $invoice_id);
echo $response;

function GenerateInvoice( $company_id,$invoice_id)
{
    global $accessKey;
    global $secretKey;

    // Define the base URL and path for the API endpoint
    $baseUrl = "https://api.corporatetools.com";
    $path = "/invoices";

    // Example parameters to include in the query (URL and ID)

    // Replace with the desired URL
    // $id = "2b918be2-c66c-4aa8-bcce-052677c1f9fa";  // Replace with the desired ID

    // Prepare the query string with URL and ID
    $content = hash('sha256', '');
    $jwtPayload = [
        "path" => $path,
        "content" => $content,
        "id" => $invoice_id,
        "company_ids"=>$company_id,
        


        // Include URL in the payload
        // "id" => $id     // Include ID in the payload
    ];

    $jwtHeader = [
        "access_key" => $accessKey
    ];

    // Encode the JWT token
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Prepare the complete URL with query parameters
    $queryParams = http_build_query([
        "id" => $invoice_id,
        "company_ids"=>$company_id,

    
    ]);
    
    $url = $baseUrl . $path . "?" . $queryParams;

    // Initialize cURL session
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute cURL request and close the session
    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}






?>