<?php
require_once('../config.php');
require_once('../vendor/autoload.php');

use Firebase\JWT\JWT;

$response = fetchUserFromAPI();

echo $response;
// Dummy data
function fetchUserFromAPI()
{
    global $accessKey;
    global $secretKey;

    // Define the base URL and path for the API endpoint
    $baseUrl = "https://api.corporatetools.com";
    $path = "/shopping-cart";

    // Example parameters to include in the query (URL and ID)
    $company_id = "beefab27-c7f9-4f02-871a-1050ec682504";
    $filing_product_id = "d310f64d-33c0-4e31-990e-38d442e9bc6d";
    $jurisdiction = "Wyoming";  // Replace with the desired URL
    // Replace with the desired URL
    // Replace with the desired URL
    // $id = "2b918be2-c66c-4aa8-bcce-052677c1f9fa";  // Replace with the desired ID

    // Prepare the query string with URL and ID
    $content = hash('sha256', '');
    $jwtPayload = [
        "path" => $path,
        "content" => $content,
        "company_id" => $company_id,
       


        // Include URL in the payload
        // "id" => $id     // Include ID in the payload
    ];

    $jwtHeader = [
        "access_key" => $accessKey
    ];

    // Encode the JWT token
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Prepare the complete URL with query parameters
    $queryParams = http_build_query([
        "company_id" => $company_id,
        
    ]);
    $url = $baseUrl . $path . "?" . $queryParams;

    // Initialize cURL session
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute cURL request and close the session
    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}
