<?php
require_once('../vendor/autoload.php');
require_once('../config.php');

use Firebase\JWT\JWT;





function addToShoppingCart($company_id, $product_id, $quantity, $product_option_id)
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";  // Base URL for the API
    $path = "/shopping-cart";  // Endpoint for shopping cart

    // Prepare the data to be sent in the request
    $payload = [
        "company_id" => $company_id,
        "product_id" =>$product_id,
        "product_option_id" =>$product_option_id,
        "quantity" => $quantity,

    ];

    // Generate the content hash and JWT token
    $queryString = "";  // Additional parameters if needed
    $bodyContent = json_encode($payload);  // JSON encode the data
    $content = hash('sha256', $queryString . $bodyContent);  // Hash the content for security

    // Prepare JWT payload and headers
    $jwtPayload = [
        "path" => $path,
        "content" => $content
    ];
    $jwtHeader = [
        "access_key" => $accessKey
    ];
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Setup cURL
    $url = $baseUrl . $path;  // Full URL to make the request
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];

    // cURL options for POST request
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $bodyContent);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute the cURL request
    $response = curl_exec($ch);
    curl_close($ch);  // Close cURL session
    echo $response;
}

// Example usage: Call the function with dynamic values
$company_id = 'beefab27-c7f9-4f02-871a-1050ec682504';  // Replace with actual company UUID
$product_id = 'd310f64d-33c0-4e31-990e-38d442e9bc6d';  // Replace with actual product UUID
$product_option_id = 'd60e28ee-a1eb-4966-add8-22c13212c388';  // Replace with actual product option UUID
$quantity = 2;  // Set the quantity as required


// Call the function to add the product to the shopping cart
$result = addToShoppingCart($company_id, $product_id, $quantity, $product_option_id);
echo $result;

