<?php
require_once('../vendor/autoload.php');
require_once('../config.php');
session_start();

use Firebase\JWT\JWT;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Fetch the cart ids passed from the form as a comma-separated string
    if (isset($_POST['cart_ids'])) {
        // Convert the comma-separated string into an array
        $cartIds = explode(',', $_POST['cart_ids']);


        $cartItemsDetails = $cartIds;

        // Example: Printing out the cart items details (you can remove this after testing)
      
    }

    // Fetch payment method selected
    if (isset($_POST['payment_method'])) {
        $paymentMethodId = $_POST['payment_method'];

        // Handle payment processing based on selected card or other payment method
        // For example, you could call a payment API here, or save the transaction in the database
     
    }
}

$payment_token = $paymentMethodId; 
$product_option_id = $_SESSION['product_option_id']; 

$company_ids = [$_SESSION['company_id']];  
$item_ids = $cartItemsDetails; 

$response = checkoutAndCapturePayment($payment_token, $product_option_id, $company_ids, $item_ids);

if ($response['success'] && !empty($response['invoice_ids'])) {
    $invoiceId = $response['invoice_ids'][0]; 
   // Fetch the first invoice ID
    $payment_response = payment_success($payment_token,$invoiceId);
   if($payment_response['success']==true){

        $_SESSION['success_cart']  ="Your payment have been recieved!";
        header('Location:checkout.php');
   }else{

    $_SESSION['error_cart'] ="No Payment Recieved";
    header("Location:checkout.php");
   }
    // Dummy data for the other fields
    $product_option_Id = $product_option_id; // Replace with actual product ID
    $paymentToken = $payment_token; // Replace with actual payment token
    $itemIds = $item_ids; // Replace with actual item IDs (comma-separated)
    $companyId = $company_ids; // Replace with actual company ID
    $status = 'pending'; // Default status

    // Insert the data into the database
    $query = "INSERT INTO invoice_table (invoice_id,  company_id, status) 
              VALUES (?, ?, ?)";
    $stmt = $conn->prepare($query);
    $companies = implode(',',$companyId);

    $stmt->bind_param('sss', $invoiceId,  $companies, $status);

    if ($stmt->execute()) {
        $_SESSION['success_cart']  ="Your invoice generated!";
        header('Location:checkout.php');
    } else {
        $_SESSION['error_cart'] ="Unable to create Invoice";
        header("Location:checkout.php");
    }

    $stmt->close();
} else {
    $_SESSION['error_cart'] ="Unable to create Invoice";
        header("Location:checkout.php");
}


// Close the database connection
$conn->close();



 function payment_success($payment_token,$invoice_id)

    {
        global $accessKey;
        global $secretKey;
    
        $baseUrl = "https://api.corporatetools.com";  // Base URL for the API
        $path = "/invoices/pay";  // Endpoint for order checkout and payment capture
    
        // Prepare the data to be sent in the request
        $payload = [
            "payment_token" => $payment_token,
            "invoice_ids" => [$invoice_id], 

              
             
        ];
    
        // Generate the content hash and JWT token
        $queryString = "";  
        $bodyContent = json_encode($payload); 
        $content = hash('sha256', $queryString . $bodyContent);  
    
        // Prepare JWT payload and headers
        $jwtPayload = [
            "path" => $path,
            "content" => $content
        ];
        $jwtHeader = [
            "access_key" => $accessKey
        ];
        $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);
    
        // Setup cURL
        $url = $baseUrl . $path;  // Full URL to make the request
        $ch = curl_init($url);
        $headers = [
            "Authorization: Bearer $jwt",
            "Content-Type: application/json"
        ];
    
        // cURL options for POST request
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $bodyContent);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    
        // Execute the cURL request
        $response = curl_exec($ch);
        curl_close($ch);  // Close cURL session
    
        // Handle the response (e.g., print or log it)

     
       
      
    
        // Optionally, process the response if needed (e.g., check for success/failure)
        $responseData = json_decode($response, true);
         return $responseData;
       
    }
function checkoutAndCapturePayment($payment_token, $product_option_id, $company_ids, $item_ids)
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";  // Base URL for the API
    $path = "/shopping-cart/checkout";  // Endpoint for order checkout and payment capture

    // Prepare the data to be sent in the request
    $payload = [
        "payment_token" => $payment_token,  
        "product_option_id" => $product_option_id, 
        "company_ids" => $company_ids,  
        "item_ids" => $item_ids  
    ];

    // Generate the content hash and JWT token
    $queryString = "";  
    $bodyContent = json_encode($payload); 
    $content = hash('sha256', $queryString . $bodyContent);  

    // Prepare JWT payload and headers
    $jwtPayload = [
        "path" => $path,
        "content" => $content
    ];
    $jwtHeader = [
        "access_key" => $accessKey
    ];
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Setup cURL
    $url = $baseUrl . $path;  // Full URL to make the request
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];

    // cURL options for POST request
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $bodyContent);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute the cURL request
    $response = curl_exec($ch);
    curl_close($ch);  // Close cURL session

    // Handle the response (e.g., print or log it)
  

    // Optionally, process the response if needed (e.g., check for success/failure)
    $responseData = json_decode($response, true);
     return $responseData;
   
}


