<?php
require_once('../config.php');
require_once('../vendor/autoload.php');

use Firebase\JWT\JWT;

$response = fetchUserFromAPI();
echo $response;

function fetchUserFromAPI()
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";
    $path = "/filing-products";

    $url = "www.northwestregisteredagent.com";  // Replace with the desired URL
    // $id = "2b918be2-c66c-4aa8-bcce-052677c1f9f";  // Replace with the desired ID

    // Prepare the query string with URL and ID
    $content = hash('sha256', '');
    $jwtPayload = [
        "path" => $path,
        "content" => $content,
        "url" => $url,  // Include URL in the payload
        // "id" => $id     // Include ID in the payload
    ];

    $jwtHeader = [
        "access_key" => $accessKey
    ];

    // Encode the JWT token
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Prepare the complete URL with query parameters
    $queryParams = http_build_query(['url' => $url]);
    $url = $baseUrl . $path . "?" . $queryParams;

    // Initialize cURL session
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute cURL request and close the session
    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}
