<?php
include("config.php");
session_start();
require 'vendor/autoload.php';

use \Firebase\JWT\JWT;




// Your access and secret keys
global $accessKey;
global $secretKey;
$company_id = $_SESSION['company_id'];

// Endpoint details
$baseUrl = "https://api.corporatetools.com";
$path = "/documents";

$content = hash('sha256', '');

// Build JWT
$jwtPayload = [
    "path" => $path,
    "content" => $content
];
$jwtHeader = [
    "access_key" => $accessKey
];
$jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

// Helper function to make a cURL request
function fetchDocuments($baseUrl, $path, $queryParams, $jwt) {
    $url = $baseUrl . $path . '?' . $queryParams;
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true);
}


$readParams = http_build_query(['company_id'=>$company_id ,'status' => 'read']);
$readDocuments = fetchDocuments($baseUrl, $path, $readParams, $jwt);


$unreadParams = http_build_query(['company_id'=>$company_id, 'status' => 'unread']);
$unreadDocuments = fetchDocuments($baseUrl, $path, $unreadParams, $jwt);

$readDocuments = array_values($readDocuments);   
$unreadDocuments = array_values($unreadDocuments); 

$allDocuments = array_merge($readDocuments, $unreadDocuments);




?>